Bug 578931 - [abrt] crash in tortoisehg-1.0-1.fc12: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in tortoisehg-1.0-1.fc12: Process /usr/bin/python was killed by ...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2   
(Show other bugs)
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:90c6cd3bb7ef41c0606555f3155...
Keywords:
: 584076 605347 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-01 19:15 UTC by Neal Becker
Modified: 2010-12-03 16:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 16:28:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (159.00 KB, text/plain)
2010-04-01 19:15 UTC, Neal Becker
no flags Details

Description Neal Becker 2010-04-01 19:15:28 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/hgtk merge
component: tortoisehg
executable: /usr/bin/python
kernel: 2.6.32.9-67.fc12.x86_64
package: tortoisehg-1.0-1.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Typed hgtk merge
2. was informed I must supply a revision number
3. got segfault

Comment 1 Neal Becker 2010-04-01 19:15:30 UTC
Created attachment 404075 [details]
File: backtrace

Comment 2 Mads Kiilerich 2010-04-01 21:59:50 UTC
*** Bug 578964 has been marked as a duplicate of this bug. ***

Comment 3 Mads Kiilerich 2010-04-01 22:52:28 UTC
Confirmed, this is fully reproducible, also on i686. After clicking "Close" I see "Merging in hg" with 4 options appear - and 0-2 seconds later it coredumps. (My abrt report  on bug 578964 is however without stacktrace, so I don't _know_ it if is exactly the same.)

Neals stacktrace ends up with recursion in pygtk pygobject.c repeating
...
#321 0x00007fcb7a6bd365 in pygobject_lookup_class (gtype=0) at pygobject.c:875
#322 0x00007fcb7a6bcea3 in pyg_type_get_bases (gtype=0) at pygobject.c:628
#323 0x00007fcb7a6bcf52 in pygobject_new_with_interfaces (gtype=0)
#324 0x00007fcb7a6bd365 in pygobject_lookup_class (gtype=0) at pygobject.c:875
...
and it SIGSEGVed on an assert when the stack was 512 deep.

IMHO pygtk should never spin in that way, so it must be a pygtk bug and I will reassign to pygtk.

Comment 4 Mads Kiilerich 2010-06-17 20:54:15 UTC
*** Bug 605347 has been marked as a duplicate of this bug. ***

Comment 5 Mads Kiilerich 2010-06-17 20:58:07 UTC
The stacktrace in bug 605347 is different than this, but they are trigged the same way and seems to have the same cause.

pygtk2 packagers, do you have any comments? Do you think it is a tortoisehg problem?

Comment 6 Mads Kiilerich 2010-06-17 21:17:19 UTC
(actually, bug 605347 is more like bug 584076 - but it seems to be the same anyway)

Comment 7 Mads Kiilerich 2010-06-17 21:17:45 UTC
*** Bug 584076 has been marked as a duplicate of this bug. ***

Comment 8 Bug Zapper 2010-11-03 18:04:59 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-03 16:28:06 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.